cURL
curl "https://api.mem.ai/v2/notes/01961d40-7a67-7049-a8a6-d5638cbaaeb9/created-at" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $MEM_API_KEY" \
--request PATCH \
--data '{
"created_at": "2020-01-07T00:00:00Z"
}'{
"collection_ids": [
"59508b41-8770-4855-aa37-302b1e09aee7"
],
"content": "# Meeting with Bill\n\nJan 7, 2020",
"created_at": "2020-01-07T00:00:00.000Z",
"id": "5e29c8a2-c73b-476b-9311-e2579712d4b1",
"request_id": "api-request-036ed6c7-de00-459f-a89b-43d26aafe522",
"title": "Meeting with Bill",
"trashed_at": null,
"updated_at": "2026-05-15T10:15:00.000Z",
"version": 5
}Notes
Set Note Created At
Set a note’s visible creation timestamp without changing its content.
The supplied created_at must include a timezone offset and cannot be in the future.
It can only backdate the note: the timestamp cannot be later than
when the note was originally created.
This operation changes note metadata only.
Trashed notes must be restored before their creation date can be changed.
PATCH
/
v2
/
notes
/
{note_id}
/
created-at
cURL
curl "https://api.mem.ai/v2/notes/01961d40-7a67-7049-a8a6-d5638cbaaeb9/created-at" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $MEM_API_KEY" \
--request PATCH \
--data '{
"created_at": "2020-01-07T00:00:00Z"
}'{
"collection_ids": [
"59508b41-8770-4855-aa37-302b1e09aee7"
],
"content": "# Meeting with Bill\n\nJan 7, 2020",
"created_at": "2020-01-07T00:00:00.000Z",
"id": "5e29c8a2-c73b-476b-9311-e2579712d4b1",
"request_id": "api-request-036ed6c7-de00-459f-a89b-43d26aafe522",
"title": "Meeting with Bill",
"trashed_at": null,
"updated_at": "2026-05-15T10:15:00.000Z",
"version": 5
}Authorizations
Path Parameters
Body
application/json
New visible creation timestamp for the note (ISO 8601). It must include a timezone offset and cannot be in the future. It can only backdate the note: the timestamp cannot be later than when the note was originally created. This changes note metadata only; it does not update note content.
Examples:
"2020-01-07T00:00:00Z"
"2020-01-07T09:00:00+01:00"
Response
200 - application/json
OK